%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Summary:	Python API for libfixbuf

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		CERT Network Situational Awareness
Name:		pyfixbuf
Version:	0.2.0
Release:	2%{?dist}
URL:		https://tools.netsa.cert.org/pyfixbuf/doc/index.html
License:	GPLv2
Group:		Applications/System

Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{buildroot}
BuildRequires:	%(basename %{__python}) >= 2.6, %(basename %{__python}) < 3.0
BuildRequires:	%(basename %{__python})-devel
BuildRequires:	netsa-python >= 1.4
Requires:	netsa-python >= 1.4
BuildRequires:	libfixbuf-devel >= 1.4
BuildRequires:	glib2-devel

%description
pyfixbuf is a Python API for libfixbuf, an implementation of the IPFIX
protocol used for building collecting and exporting processes. pyfixbuf
can be used to write applications, often called mediators, that collect and
export IPFIX. Mediators are useful in modifying, filtering, or adding to the
contents of a message before forwarding to another IPFIX collection point,
or converting IPFIX to another format (text, database, JSON, etc.).

%prep
%setup

%build
%__python setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
%__install -d %{buildroot}/%{_bindir}

%clean
# %{__rm} -rf %{buildroot}

%files
%defattr(444, root, root, 0755)
%doc LGPL.txt LICENSE-OPENSOURCE.txt PKG-INFO pyfixbuf-0.2.0.pdf README.txt
%attr(0644, root, root)	%{python_sitelib}/%{name}-%{version}-py*.egg-info
%attr(0644, root, root)	%{python_sitelib}/%{name}/*.py*
%attr(0644, root, root)	%{python_sitelib}/%{name}/test/*.py*
%attr(0644, root, root)	%{python_sitelib}/%{name}/test/sampleipfix.ipfix
%attr(0755, root, root)	%{python_sitelib}/%{name}/_%{name}.so


%changelog
* Wed Jul  1 2015 Lawrence R. Rogers <lrr@cert.org> 0.2.0-2
* Release 0.2.0-2
	Rebuilt for libfixbuf-1.7.0.

* Mon Feb  2 2015 Lawrence R. Rogers <lrr@cert.org> 0.2.0-1
* Release 0.2.0-1
	API Improvements.
	Added the ability to auto-generate templates from collected data without having to define records.
	New BasicList Class.
	Improvements in accessing and creating structured data elements.
	New sample mediators including full YAF mediators.
	Bug Fixes.

* Tue Dec  2 2014 Lawrence R. Rogers <lrr@cert.org> 0.1.0-1
* Release 0.1.0-1
	Initial release
